{
  "type": "minecraft:crafting_shaped",
  "pattern": [
    "EPE",
    "RMT",
    "ESE"
  ],
  "key": {
    "E": {
      "item": "refinedstorage:quartz_enriched_iron"
    },
    "P": {
      "item": "refinedstorage:advanced_processor"
    },
    "R": {
      "item": "refinedstorage:network_receiver"
    },
    "S": {
      "tag": "refinedstorage:silicon"
    },
    "T": {
      "item": "refinedstorage:network_transmitter"
    },
    "M": {
      "item": "refinedstorage:machine_casing"
    }
  },
  "result": {
    "item": "refinedstorage:controller"
  }
}